#
# spec file for package python-kombu
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kombu
Version:        1.5.0
Release:        0
License:        BSD-2-Clause
Summary:        AMQP Messaging Framework for Python
Url:            http://github.com/ask/kombu/
Group:          Development/Languages/Python
Source:         kombu-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-distribute
Requires:       python-amqplib
Requires:       python-anyjson
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%if %{?suse_version: %{suse_version} > 1110}
BuildArch:      noarch
%endif
%endif

%description
An AMQP messaging framework for Python.

AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and also
provide proven and tested solutions to common messaging problems.

%prep
%setup -q -n kombu-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog FAQ INSTALL README THANKS TODO
%{python_sitelib}/*

%changelog
